Skip to main content
POST
/
action
/
meeting_prep_extract_selected_meeting
[P1] Extract Selected Meeting
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/meeting_prep_extract_selected_meeting \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "selected_meeting_id": "{{selected_meeting_id}}",
  "gcal_events_list": "{{gcal_events_list}}",
  "output_variable_name": "selected_meeting_data"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
selected_meeting_id
string
default:{{selected_meeting_id}}
required

The event ID to look up from the calendar events list.

gcal_events_list
string
default:{{gcal_events_list}}
required

JSON array of events with {value, label} format from Google Calendar.

output_variable_name
string
default:selected_meeting_data

Variable name to store the extracted meeting data.

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action